gr::radar::estimator_fmcw_impl Class Reference

`#include <estimator_fmcw_impl.h>`

Inheritance diagram for gr::radar::estimator_fmcw_impl:

## Public Member Functions

| estimator_fmcw_impl (int samp_rate, float center_freq, float sweep_freq, int samp_up, int samp_down, bool push_power)
| ~estimator_fmcw_impl ()
void | handle_msg_cw (pmt::pmt_t msg)
void | handle_msg_up (pmt::pmt_t msg)
void | handle_msg_down (pmt::pmt_t msg)
void | estimate ()

## Public Attributes

int | d_samp_rate
float | d_center_freq
float | d_sweep_freq
int | d_samp_up
int | d_samp_down
bool | d_push_power
float | d_const_up
float | d_const_down
float | d_const_doppler
bool | d_msg_cw_in
bool | d_msg_up_in
bool | d_msg_down_in
pmt::pmt_t | d_port_id_in_cw
pmt::pmt_t | d_port_id_in_up
pmt::pmt_t | d_port_id_in_down
pmt::pmt_t | d_port_id_out
pmt::pmt_t | d_msg_cw
pmt::pmt_t | d_msg_up
pmt::pmt_t | d_msg_down

## Static Public Attributes

static constexpr float | c_light = 3e8

## Additional Inherited Members

Public Types inherited from gr::radar::estimator_fmcw
typedef std::shared_ptr< estimator_fmcw > | sptr
Static Public Member Functions inherited from gr::radar::estimator_fmcw
static sptr | make (int samp_rate, float center_freq, float sweep_freq, int samp_up, int samp_down, bool push_power)
| Return a shared_ptr to a new instance of radar::estimator_fmcw.

## Constructor & Destructor Documentation

## estimator_fmcw_impl()

gr::radar::estimator_fmcw_impl::estimator_fmcw_impl | ( | int | samp_rate,
|  | float | center_freq,
|  | float | sweep_freq,
|  | int | samp_up,
|  | int | samp_down,
|  | bool | push_power )

## ~estimator_fmcw_impl()

gr::radar::estimator_fmcw_impl::~estimator_fmcw_impl | ( |  | ) |

## Member Function Documentation

## estimate()

void gr::radar::estimator_fmcw_impl::estimate | ( |  | ) |

## handle_msg_cw()

void gr::radar::estimator_fmcw_impl::handle_msg_cw | ( | pmt::pmt_t | msg | ) |

## handle_msg_down()

void gr::radar::estimator_fmcw_impl::handle_msg_down | ( | pmt::pmt_t | msg | ) |

## handle_msg_up()

void gr::radar::estimator_fmcw_impl::handle_msg_up | ( | pmt::pmt_t | msg | ) |

## Member Data Documentation

## c_light

float gr::radar::estimator_fmcw_impl::c_light = 3e8

static constexpr

## d_center_freq

float gr::radar::estimator_fmcw_impl::d_center_freq

## d_const_doppler

float gr::radar::estimator_fmcw_impl::d_const_doppler

## d_const_down

float gr::radar::estimator_fmcw_impl::d_const_down

## d_const_up

float gr::radar::estimator_fmcw_impl::d_const_up

## d_msg_cw

pmt::pmt_t gr::radar::estimator_fmcw_impl::d_msg_cw

## d_msg_cw_in

bool gr::radar::estimator_fmcw_impl::d_msg_cw_in

## d_msg_down

pmt::pmt_t gr::radar::estimator_fmcw_impl::d_msg_down

## d_msg_down_in

bool gr::radar::estimator_fmcw_impl::d_msg_down_in

## d_msg_up

pmt::pmt_t gr::radar::estimator_fmcw_impl::d_msg_up

## d_msg_up_in

bool gr::radar::estimator_fmcw_impl::d_msg_up_in

## d_port_id_in_cw

pmt::pmt_t gr::radar::estimator_fmcw_impl::d_port_id_in_cw

## d_port_id_in_down

pmt::pmt_t gr::radar::estimator_fmcw_impl::d_port_id_in_down

## d_port_id_in_up

pmt::pmt_t gr::radar::estimator_fmcw_impl::d_port_id_in_up

## d_port_id_out

pmt::pmt_t gr::radar::estimator_fmcw_impl::d_port_id_out

## d_push_power

bool gr::radar::estimator_fmcw_impl::d_push_power

## d_samp_down

int gr::radar::estimator_fmcw_impl::d_samp_down

## d_samp_rate

int gr::radar::estimator_fmcw_impl::d_samp_rate

## d_samp_up

int gr::radar::estimator_fmcw_impl::d_samp_up

## d_sweep_freq

float gr::radar::estimator_fmcw_impl::d_sweep_freq

The documentation for this class was generated from the following file:

- estimator_fmcw_impl.h